## org.apache.commons.math.analysis.interpolation
Class BicubicSplineFunction

    java.lang.Object
      org.apache.commons.math.analysis.interpolation.BicubicSplineFunction

All Implemented Interfaces:
  BivariateRealFunction

     class BicubicSplineFunction

extends java.lang.Object
implements BivariateRealFunction

2D-spline function.

Version:
  $Revision$ $Date$

Field Summary
`private double` `a00` Coefficients
`private double` `a01` Coefficients
`private double` `a02` Coefficients
`private double` `a03` Coefficients
`private double` `a10` Coefficients
`private double` `a11` Coefficients
`private double` `a12` Coefficients
`private double` `a13` Coefficients
`private double` `a20` Coefficients
`private double` `a21` Coefficients
`private double` `a22` Coefficients
`private double` `a23` Coefficients
`private double` `a30` Coefficients
`private double` `a31` Coefficients
`private double` `a32` Coefficients
`private double` `a33` Coefficients

Constructor Summary
`BicubicSplineFunction(double[] a)`

Method Summary
`double` `value(double x, double y)` Compute the value for the function.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### a00

    private final double a00

  Coefficients

### a01

    private final double a01

  Coefficients

### a02

    private final double a02

  Coefficients

### a03

    private final double a03

  Coefficients

### a10

    private final double a10

  Coefficients

### a11

    private final double a11

  Coefficients

### a12

    private final double a12

  Coefficients

### a13

    private final double a13

  Coefficients

### a20

    private final double a20

  Coefficients

### a21

    private final double a21

  Coefficients

### a22

    private final double a22

  Coefficients

### a23

    private final double a23

  Coefficients

### a30

    private final double a30

  Coefficients

### a31

    private final double a31

  Coefficients

### a32

    private final double a32

  Coefficients

### a33

    private final double a33

  Coefficients

Constructor Detail

### BicubicSplineFunction

    public BicubicSplineFunction(double[] a)

Parameters:
  `a` - Spline coefficients

Method Detail

### value

    public double value(double x,
                        double y)

  Description copied from interface: `BivariateRealFunction`
  Compute the value for the function.

  Specified by:
    `value` in interface `BivariateRealFunction`
  Parameters:
    `x` - x-coordinate of the interpolation point
    `y` - y-coordinate of the interpolation point
  Returns:
    the interpolated value.

Copyright (c) 2003-2010 Apache Software Foundation